frontend_server_1/frontend/urls.py
from django.conf.urls import url
from django.views.generic.base import RedirectView
from .views import *
#url for app
app_name = 'frontend'

urlpatterns = [
    url(r'^$', RedirectView.as_view(url='index/', permanent = False), name='$'),
    url(r'index/', index, name='index'),
    url(r'upload/', upload, name='upload'),
]

frontend_server_1/frontend_server_1/urls.py
from django.contrib import admin
from django.urls import path, include
import frontend.urls as frontend

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include(frontend, namespace='frontend')),
]

frontend_server_1/frontend/models.py
from django.db import models

# Create your models here.

frontend_server_1/frontend/forms.py
from django import forms

class FileForm(forms.Form):
    file = forms.FileField() # for creating file input  

frontend_server_1/frontend/views.py
from django.shortcuts import render
from .forms import FileForm

import json
import os
import string
import random
import requests

def index(request):
    response = {}
    fileForm = FileForm()
    response['form'] = fileForm
    return render(request, 'base.html', response)

def upload(request):
    response = {}
    if request.POST:
        fileForm = FileForm(request.POST, request.FILES)
        if fileForm.is_valid:
            routingKey = generateRoutingKey()
            response['routingKey'] = routingKey
            response['success'] = handle_uploaded_file(request, routingKey)
    fileForm = FileForm()
    response['form'] = fileForm
    return render(request, 'base.html', response)

def handle_uploaded_file(request, routingKey):
    file = request.FILES['file']
    fileName = request.FILES['file'].name
    with open(fileName, 'wb+') as destination:
        for chunk in file.chunks():
            destination.write(chunk)
    url = 'http://152.118.148.95:20456/index/'
    headers = {'X-ROUTING-KEY': routingKey}
    files = {'file': open(fileName,'rb')}
    r = requests.post(url, headers=headers, files=files)
    os.remove(fileName)
    return r.json().get('success')

def generateRoutingKey(size=10, chars=string.ascii_uppercase + string.digits):
    return ''.join(random.choice(chars) for _ in range(size))

frontend_server_1/templates/base.html
<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="theme-color" content="#342345">
  <title> {% block title %} Assignment 3 of LAW_KEMAS {% endblock %}</title>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
  <link href='https://fonts.googleapis.com/css?family=Raleway:900|Raleway' rel='stylesheet'>
  <meta name="viewport" content="initial-scale=1.0, width=device-width" />
</head>

<body>
  <header>
  </header>
  <content>
    <section name="container" class="content">
    <h2>File Upload</h2>
    <form id="form" name="form" method="POST" action="{% url 'frontend:upload' %}" enctype="multipart/form-data">
      {% csrf_token %}
      {{ form.as_p }}
      <button type="submit">Submit</button>
    </form>
    {% if success %}
      {% if success == 'True' %}
        <p>Upload file success</p>
      {% elif success == 'False' %}
        <p>Upload file failed</p>
      {% endif %}
    {% endif %}
    <br>
    <h3>Compression Status:</h3>
    <br>
    <p id="status">no status</p>
  </content>
  <footer>
  </footer>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/sockjs-client/1.1.4/sockjs.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/stomp.js/2.3.3/stomp.min.js"></script>
  <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
  <script type = "text/javascript">
    WebSocketImplementation();
    function WebSocketImplementation() {
      if ("WebSocket" in window) {
        var routing_key = '{{ routingKey }}';
        var ws_stomp_display = new SockJS('http://152.118.148.95:15674/stomp');
        var client_display = Stomp.over(ws_stomp_display);
        var mq_queue_display = "/exchange/1606831035/" + routing_key;
        var on_connect_display = function() {
          console.log('connected');
          client_display.subscribe(mq_queue_display, on_message_display);
        };
        var on_error_display = function() {
          console.log('error');
        };
        var on_message_display = function(m) {
          console.log('message received');
          $('#status').html(m.body);
        };
        client_display.connect('0806444524', '0806444524', on_connect_display, on_error_display, '/0806444524');
      } else {
        alert("WebSocket NOT supported by your Browser!");
      }
    }
  </script>
</body>